<template>
  <div class="info-container w-full">
    <div class="exam-title break-all mb-4 text-base text-gray-700" v-html="activeQuestion.title">
    </div>

    <div class="audio-container" v-if="activeQuestion.audioFile">
      <ExamAudio :audioSrc="activeQuestion.audioFile"></ExamAudio>
    </div>

    <div class="img-container flex" v-if="activeQuestion.img">
      <div class="img-item">
        <img :src="activeQuestion.img" class="info-img" alt="">
      </div>
    </div>
  </div>
</template>

<script setup>
import ExamAudio from '@/components/ExamAudio/index.vue';

const props = defineProps({
  questionIndex: {
    type: Number,
    required: true
  },
  activeQuestion: {
    type: Object,
    required: true
  }
})
</script>

<style lang="scss" scoped>
.info-img {
  max-height: 250px;
  margin: 20px 10px;
}
.exam-title {
  :deep(p) {
    display: flex !important;
  }
}

</style>